library verilog;
use verilog.vl_types.all;
entity encryption_single is
    generic(
        init1           : integer := 0;
        init2           : integer := 1;
        init3           : integer := 2;
        init4           : integer := 3;
        init5           : integer := 4;
        round2b         : integer := 5;
        round2a         : integer := 6;
        round2          : integer := 7;
        round3a         : integer := 8;
        round3d         : integer := 9;
        round4          : integer := 10;
        done1           : integer := 11;
        done2           : integer := 12;
        dummy1          : integer := 13;
        dummy2          : integer := 14
    );
    port(
        data_set        : in     vl_logic;
        clock           : in     vl_logic;
        reset           : in     vl_logic;
        expanded_key    : in     vl_logic;
        round_num       : in     vl_logic_vector(3 downto 0);
        round_data      : out    vl_logic;
        round_over      : out    vl_logic
    );
end encryption_single;
